
Figure - Bug #118516
【IOVDEV-32609】【内部】【VC1】【0072】【台架】【EE环境】【副屏】 副屏自动展示开机动画，log工具
中开机次数未增加
2023-06-05 14:07 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-05

Priority: Urgent Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0106.C104

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause: 与 #118052 问题相同

Description

【环境信息】EE环境

【问题出现时间】：2023-06-05 10:20

【开机次数】：第246次

【前提条件】：

1.副屏上电

2.中控升级完成

【问题操作步骤】：

1.中控升级完成后正常使用预制应用

【实际结果】：正常使用时副屏播放重启动画后显示HOME页，且不计入重启次数

【期望结果】：设备正常，未人为重启设备不播放重启画面

【备注】：副屏开启时，中控进行升级，中控升级完成后副屏进行正常操作测试，可能因中控升级完而给副屏信号播放重启动画。视频

刚结束拍摄就重启了，中间间隔大约20秒左右在10:19-10:20时间段

台架历史Log地址：https://ofs.human-horizons.com/#/download/index/6%2FMulwEZbVM%3D

台架视频地址：https://ofs.human-horizons.com/#/download/index/idZHUyMxxhk%3D

【影响版本】：副屏：01.00.0106.C104

【VIN】：HRYTTESTVINMGM400

【硬件版本号】：/

【是否能恢复】：

Related issues:

Related to Figure - Bug # 118052: 【IOVDEV-28498】【IOVDEV-3... CLOSED 2023-05-26 2023-06-05

History

#1 - 2023-06-05 14:07 - CDTS_Test 吴诗雨

- Category set to CD-FW

#2 - 2023-06-05 14:08 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118516

2025-07-04 1/3

https://ofs.human-horizons.com/#/download/index/6%2FMulwEZbVM%3D
https://ofs.human-horizons.com/#/download/index/idZHUyMxxhk%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118516


#3 - 2023-06-05 16:03 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW 曹覃刚

开机次数没变，但播放了开机动画，看起来像是上层重启了，看一下这个问题。

#4 - 2023-06-05 17:17 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118052 问题相同

■ 我的分析

与 #118052 问题相同，surfaceflinger报空指针了，导致系统进程挂了，上层重启

将在 #118052 中跟踪分析

------------------

06-05 10:20:14.392 16394 16394 F DEBUG   : * 

06-05 10:20:14.392 16394 16394 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3775:user/test-keys'

06-05 10:20:14.392 16394 16394 F DEBUG   : Revision: '0'

06-05 10:20:14.392 16394 16394 F DEBUG   : ABI: 'arm64'

06-05 10:20:14.392 16394 16394 F DEBUG   : Timestamp: 2023-06-05 10:20:14.230173051+0800

06-05 10:20:14.392 16394 16394 F DEBUG   : Process uptime: 0s

06-05 10:20:14.392 16394 16394 F DEBUG   : Cmdline: /system/bin/surfaceflinger

06-05 10:20:14.392 16394 16394 F DEBUG   : pid: 998, tid: 1066, name: Binder:998_1  >>> /system/bin/surfaceflinger <<<

06-05 10:20:14.392 16394 16394 F DEBUG   : uid: 1000

06-05 10:20:14.392 16394 16394 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x4

06-05 10:20:14.392 16394 16394 F DEBUG   : Cause: null pointer dereference

06-05 10:20:14.392 16394 16394 F DEBUG   :     x0  b400006e489f56f0  x1  b400006cf8a77320  x2  b400006d28e3b5d0  x3  0000000000000001

06-05 10:20:14.392 16394 16394 F DEBUG   :     x4  0000006fcbf002f4  x5  0000006cb872c780  x6  00006bdc00004b66  x7  0000628e00003d68

06-05 10:20:14.392 16394 16394 F DEBUG   :     x8  0000000000000000  x9  0000000000000004  x10 0000006cd871a000  x11 0000000000000030

06-05 10:20:14.392 16394 16394 F DEBUG   :     x12 000000000000000e  x13 00005cbb00006249  x14 b400006cd875f790  x15 0000000000000058

06-05 10:20:14.392 16394 16394 F DEBUG   :     x16 0000005ebeaf4cf8  x17 0000006fc87efdd4  x18 0000006cb59e8000  x19 0000000000000000

06-05 10:20:14.392 16394 16394 F DEBUG   :     x20 b400006d28e3b5d0  x21 b400006cf8a77320  x22 b400006cf8a77320  x23 0000006fc87f4484

06-05 10:20:14.392 16394 16394 F DEBUG   :     x24 b400006d28e3b5b0  x25 0000006cb69a3000  x26 0000006cb69a2ff8  x27 00000000000fc000

06-05 10:20:14.392 16394 16394 F DEBUG   :     x28 0000006cb68aa000  x29 0000006cb69a29b0

06-05 10:20:14.392 16394 16394 F DEBUG   :     lr  0000005ebe664960  sp  0000006cb69a29b0  pc  0000006fc87efde0  pst 0000000060001000

06-05 10:20:14.392 16394 16394 F DEBUG   : backtrace:

06-05 10:20:14.392 16394 16394 F DEBUG   :       #00 pc 000000000000ede0  /system/lib64/libutils.so (android::RefBase::incStrong(void const) const+12) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-05 10:20:14.392 16394 16394 F DEBUG   :       #01 pc 000000000015b95c  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_copy(void*, void const*, unsigned long) const+84) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-05 10:20:14.392 16394 16394 F DEBUG   :       #02 pc 0000000000015c10  /system/lib64/libutils.so (android::VectorImpl::replaceAt(void const*, unsigned long)+216)

(BuildId: b940f836006eead456c936e97e64d2d4)

06-05 10:20:14.392 16394 16394 F DEBUG   :       #03 pc 00000000001a4d08  /system/bin/surfaceflinger (android::SurfaceFlinger::onHandleDestroyed(android::BBinder*,

android::sp<android::Layer>&)+124) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-05 10:20:14.392 16394 16394 F DEBUG   :       #04 pc 000000000015b7b0  /system/bin/surfaceflinger (android::Layer::LayerCleaner::~LayerCleaner()+72) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-05 10:20:14.392 16394 16394 F DEBUG   :       #05 pc 000000000015b738  /system/bin/surfaceflinger (virtual thunk to android::Layer::Handle::~Handle()+76) (BuildId:
9e93e9ccd42ba048dfd020375b5b0dd4)

06-05 10:20:14.392 16394 16394 F DEBUG   :       #06 pc 000000000000ef34  /system/lib64/libutils.so (android::RefBase::decStrong(void const*) const+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-05 10:20:14.392 16394 16394 F DEBUG   :       #07 pc 0000000000053b84  /system/lib64/libbinder.so (android::IPCThreadState::processPendingDerefs()+136) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-05 10:20:14.392 16394 16394 F DEBUG   :       #08 pc 0000000000053c90  /system/lib64/libbinder.so (android::IPCThreadState::joinThreadPool(bool)+64) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-05 10:20:14.392 16394 16394 F DEBUG   :       #09 pc 0000000000080484  /system/lib64/libbinder.so (android::PoolThread::threadLoop()+28) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-05 10:20:14.392 16394 16394 F DEBUG   :       #10 pc 000000000001358c  /system/lib64/libutils.so (android::Thread::_threadLoop(void*)+264) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-05 10:20:14.392 16394 16394 F DEBUG   :       #11 pc 0000000000012de8  /system/lib64/libutils.so (thread_data_t::trampoline(thread_data_t const*)+408) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-05 10:20:14.392 16394 16394 F DEBUG   :       #12 pc 00000000000b6a24  /apex/com.android.runtime/lib64/bionic/libc.so (_pthread_start(void*)+264) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

06-05 10:20:14.392 16394 16394 F DEBUG   :       #13 pc 00000000000532bc  /apex/com.android.runtime/lib64/bionic/libc.so (_start_thread+68) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

------------------

#5 - 2023-06-06 11:36 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

6.6

已同步信息，先关闭

#6 - 2023-06-06 11:36 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
